# TaskExecutionAdapter

open class TaskExecutionAdapter : TaskExecutionListener

A TaskExecutionListener adapter class for receiving task execution events. The methods in this class are empty. This class exists as convenience for creating listener objects.

## Constructors

TaskExecutionAdapter
Link copied to clipboard
constructor()

## Functions

afterExecute
Link copied to clipboard
open fun afterExecute(task: Task, state: TaskState)
beforeExecute
Link copied to clipboard
open fun beforeExecute(task: Task)